# Read a connection.

> https://koi.dog/docs/api/connections/get-connection/

`GET /api/v1/connections/{id}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The connection's id. |

## Response.

200 OK: a `Connection`. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/connections/$ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/connections/${process.env.ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/connections/{os.environ['ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "name": "string",
  "harness": "claude-code",
  "provider": "anthropic",
  "model": "string",
  "auth": "local_login",
  "scope": "local",
  "metering": "subscription",
  "maxConcurrent": 0,
  "status": "untested",
  "defaultOptions": {
    …
  },
  "statusDetail": "string",
  "hasSecret": false,
  …
}
```
